Bug 870099 - virsh emulatorpin still can work when vcpu placement is "auto".
virsh emulatorpin still can work when vcpu placement is "auto".
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Osier Yang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 10:39 EDT by hongming
Modified: 2014-03-26 21:03 EDT (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:11:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-10-25 10:39:49 EDT
Description of problem:
virsh emulatorpin still can work when vcpu placement is "auto".The following doc describes that "emulatorpin is not allowed if attribute placement of element vcpu is "auto". "
http://libvirt.org/formatdomain.html#elementsCPUTuning

Version-Release number of selected component (if applicable):
libvirt-0.10.2-5.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 53    yuping-rhel6                   running


# virsh dumpxml yuping-rhel6 |grep vcpu
  <vcpu placement='auto' current='2'>4</vcpu>
# virsh emulatorpin yuping-rhel6 1

# pidof qemu-kvm
79058
# cat /proc/79058/task/79058/status |grep Cpu
Cpus_allowed:	00000000,00000000,00000000,00000000,00000002
Cpus_allowed_list:	1

  
Actual results:
virsh emulatorpin still can work when vcpu placement is "auto".

Expected results:
emulatorpin is not allowed if attribute placement of element vcpu is "auto"

Additional info:
Comment 3 hongming 2012-10-30 01:19:02 EDT
Verify it as follows. The result is expected. Move its status to VERIFIED.

# rpm -q libvirt
libvirt-0.10.2-6.el6.x86_64


# virsh dumpxml rhel6.3 |grep vcpu
  <vcpu placement='auto' current='1'>4</vcpu>


# virsh start rhel6.3
Domain rhel6.3 started


# virsh emulatorpin rhel6.3 1
error: Requested operation is not valid: Changing affinity for emulator thread dynamically is not allowed when CPU placement is 'auto'
Comment 4 errata-xmlrpc 2013-02-21 02:11:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.